<template>
  <div class="col-12">
        <h2>Gestion des Requetes</h2>
        <br>
    <router-link :to="{path:'new'}" append>
      <button class="btn btn-info float-right but">Nouvelle Requete</button>
    </router-link>
    <div class="clearfix"></div>
    <RequestsList v-bind:requests="requests" v-on:edit="edit" @remove="remove" v-bind:canEdit="true" v-bind:canRemove="true"></RequestsList>
  </div>
</template>

<script>
import RequestsList from '@/components/shared/Requests.List.vue';
import { editRequest,deleteRequest } from '@/api/requests.service.js';
export default {
  computed: {
    requests() {
      if (this.$store.getters.getAllRequests) {
        return this.$store.getters.getAllRequests;
      }
      return [];
    }
  },
  components: {
    RequestsList
  },
  created() {
    this.$store.dispatch('setAllRequests');
  },
  methods: {
    edit(request) {
      this.$router.push({ path: request._id + "/edit", append: true });
    },
    remove(request) {
      deleteRequest(request._id).then(()=>{
        this.$store.dispatch("setAllRequests")
      })
    }

  }
}
</script>

<style>

</style>
